Subject: Re: bug#31415: 27.0.50; Strange behavior on Command-$ in MacOS

From: Alan Third <[email-masked]>
Date: Tue, 15 May 2018 19:52:21 +0100

On Sun, May 13, 2018 at 06:08:07PM +0300, Eli Zaretskii wrote:
> > Date: Sun, 13 May 2018 11:28:10 +0100
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked]
> > 
> > Hmm, what’s happening is that macOS is going into a screenshot mode.
> > You can see the shortcuts in system preferences ‐> keyboard ‐>
> > shortcuts. I don’t know why you’ve not seen this before as I think
> > it’s been the default in macOS for quite a while now.
> > 
> > I don’t know if we can over‐ride this, and I don’t know that we’d want
> > to. 
> 
> If this cannot (or shouldn't) be fixed, how about mentioning it in the
> manual?

There are a lot of default shortcuts, and they’re almost all
customisable. It might be worth adding some text about how changing
the behaviour of the modifier keys in Emacs doesn’t change their
effect in macOS.

But I think that bit of the manual, modifier keys (macOS), could do
with being rewritten. It’s slightly misleading and doesn’t mention the
ns-command-modifier variables at all.
-- 
Alan Third